Skip to main content
Alerting & Response/Alert Routing & Policies

GetAlertAssignment

Get the current assignment details for a specific alert

GET/api/v1/alerting/assignments/{alertId}

Operation ID

GetAlertAssignment

Since

1.0.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Path Parameters

  • alertId
    StringRequired

    Alert identifier to get assignment for

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • alertId
    String

    Alert identifier for this assignment

    Example: alert-789xyz

  • assigneeUserId
    String

    User ID of the assigned engineer

    Example: user-001

  • assigneeName
    String

    Display name of the assigned engineer

    Example: John Smith

  • assignedAt
    String

    Timestamp when the assignment was made

    Example: 2026-01-15T08:00:00Z

  • assignmentSource
    String

    Source of the assignment (auto, manual, escalation)

    Example: auto